﻿$ErrorActionPreference = 'Stop';

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/responsively-org/responsively-app-releases/releases/download/v1.4.0/ResponsivelyApp-Setup-1.4.0.exe'
$url64      = 'https://github.com/responsively-org/responsively-app-releases/releases/download/v1.4.0/ResponsivelyApp-Setup-1.4.0.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'responsively*'
  checksum      = '04D1839CD43BED599FD1859BA91F41D544D1F6C6456B9DA4EF9AC726C94835D18E08EAA3AA424587905AC4F368B1A12AE5349F678C748AE41F05CD4189C61CF0'
  checksumType  = 'sha512'
  checksum64    = '04D1839CD43BED599FD1859BA91F41D544D1F6C6456B9DA4EF9AC726C94835D18E08EAA3AA424587905AC4F368B1A12AE5349F678C748AE41F05CD4189C61CF0'
  checksumType64= 'sha512'

  silentArgs    = "/S"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs